Name:          armagetronad
Version:       0.2.9.2.3
Release:       1mamba
Summary:       A Tron Clone in 3d
Group:         Graphical Desktop/Applications/Games
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.armagetronad.org/index.php
Source:        https://downloads.sourceforge.net/project/armagetronad/stable/%{version}/armagetronad-%{version}.tbz
Patch0:        %{name}-0.2.8.3.2-libpng-1.4.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libSDL-devel
BuildRequires: libSDL_image-devel
BuildRequires: libgcc
BuildRequires: libglu-devel
BuildRequires: libglvnd-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END

%description
Armagetron is a multiplayer game in 3d that attempts to emulate and expand on the lightcycle sequence from the movie Tron. It's an old school arcade game slung into the 21st century. Highlights include a customizable playing arena, HUD, unique graphics, and AI bots. For the more advanced player there are new game modes and a wide variety of physics settings to tweak as well.

%debug_package

%prep
%setup -q
#%patch0 -p1
./bootstrap.sh

%build
%configure --disable-uninstall
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/games/armagetronad
%config(noreplace) %{_sysconfdir}/games/armagetronad/*.cfg
%dir %{_sysconfdir}/games/armagetronad/examples
%{_sysconfdir}/games/armagetronad/examples/*
%config(noreplace) %{_sysconfdir}/games/armagetronad/master.srv
%config(noreplace) %{_sysconfdir}/games/armagetronad/rc.config
%config(noreplace) %{_sysconfdir}/games/armagetronad/subcultures.srv
%{_bindir}/armagetronad
%{_bindir}/armagetronad-master
%{_datadir}/appdata/org.armagetronad.armagetronad.appdata.xml
%{_datadir}/applications/org.armagetronad.armagetronad.desktop
%dir %{_datadir}/games/armagetronad
%{_datadir}/games/armagetronad/*
%{_datadir}/icons/hicolor/*/apps/org.armagetronad.armagetronad.png
%dir %{_docdir}/games/armagetronad
%{_docdir}/games/armagetronad/*
%doc AUTHORS COPYING
#ChangeLog NEWS README README-DEVELOPER README-SDL

%changelog
* Sun Mar 24 2024 Automatic Build System <autodist@openmamba.org> 0.2.9.2.3-1mamba
- automatic version update by autodist

* Sat Sep 16 2023 Automatic Build System <autodist@mambasoft.it> 0.2.9.1.1-1mamba
- automatic version update by autodist

* Tue Dec 08 2020 Automatic Build System <autodist@mambasoft.it> 0.2.9.1.0-1mamba
- automatic version update by autodist

* Thu Sep 03 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.9.0.1-1mamba
- update to 0.2.9.0.1

* Sat Apr 18 2020 Automatic Build System <autodist@mambasoft.it> 0.2.8.3.5-1mamba
- automatic update by autodist

* Wed Apr 05 2017 Automatic Build System <autodist@mambasoft.it> 0.2.8.3.4-1mamba
- automatic version update by autodist

* Thu Mar 19 2015 Automatic Build System <autodist@mambasoft.it> 0.2.8.3.3-1mamba
- automatic version update by autodist

* Thu Oct 13 2011 Automatic Build System <autodist@mambasoft.it> 0.2.8.3.2-1mamba
- automatic version update by autodist

* Sat May 08 2010 Automatic Build System <autodist@mambasoft.it> 0.2.8.3.1-1mamba
- automatic update by autodist

* Wed Aug 06 2008 Marco Bellezza <superbel@hotmail.it> 0.2.8.2.1-1mamba
- package created by autospec
